#include "reg51.h"
#include "intrins.h"
#include <i2c.h>
#define FREQ 91.2 // frequency MHz


void main(){
		int i;
	  unsigned long f = (FREQ*1000000+225000) * 4 / 32768;
	  PM_INIT();
		P3 = 0xFF;
    while (1){
			Delay1000ms(); // delay for start
			// init i2c
			SDA = 0; Delay(); 
			SCL = 0; Delay();
			i2c_send_byte(0xC0);
			i2c_send_byte(f >> 8); // High half
			i2c_send_byte(f & 0xFF); // Low half
			i2c_send_byte(0xB0);
			i2c_send_byte(0x10);
			i2c_send_byte(0x00);
			
			// wait 5 min
			for(i=0; i<300; i++){
				Delay1000ms();
			}
		}
}

